Trying pmw with python3: Lots of crashes!

Terry Reedy tjreedy at udel.edu
Sun Sep 6 21:33:49 CEST 2015


On 9/6/2015 2:47 PM, Paulo da Silva wrote:
> Hi!
>
> I took a look at tkinter. It is pretty simple but it's very hard to
> construct some relatively more complex widgets.
>
> So I looked at pmw.
> Because my system only have pmw for python2, I downloaded pmw2 from its
> site and installed it manually using pysetup.py install.

> Trying the examples ...:

First run Tools/Script/2to3.py to convert 2.x code to 3.x code. See the 
docstring.

> Some run fine.
> Some just segfault!
> Others crash with the folloing message:
> 	"No such Pmw version 'on3-pmw-doc'. Using default version '2.0.0'"
>
> Is there anybody using pmw who can explain possible reasons for this?
>
> Should I use it for small apps that need:
> 	1 or more canvas scrollable windows?
> 	1 scrollable list with several (few) column editable fields?
>
> Do I need to go to more complex system like wxwidgets or pyside (QT)?
> I looked at the last one but, from the 1st steps, it seems too complex.
>
> Thanks.
>


-- 
Terry Jan Reedy



More information about the Python-list mailing list